/**
 * create by robot 
 * date Thu Sep 12 16:16:37 CST 2019 
 */ 

$(document).ready(function(){
	//form表单样式
	layui.use(['layer', 'form'], function() {
		var layer = layui.layer,
			form = layui.form;
		form.render();
	});
	//li 切换事件
	$(".nav-tabs>li").click(function() {
		var index = $(".nav-tabs>li").index(this);
		$(this).addClass("active").siblings("li").removeClass("active");
		
	})
	//弹出一个提示层
	// $('.fa-save').on('click', function() {
	// 	saveUserApp();
	// });

	//绑定标签栏事件
	$(document).on('click','.nav-tabs li',function(){

		var action =$(this).data('action');
		 switch (action) {
			case "base"://基本资料
				goBase();
				break;  
			case "functions"://多功能
				goFunctions();
				break;
			case "extends"://扩展    
				goExtends();         
				break;           
		 }
	})

	//加载第一个标签
	$('.nav-tabs li').eq(0).click();
	
});


//跳转基本信息 
function goBase(){
	var url=ctx+'/promoter/queryUserAppBaseInfo?id='+$('#userAppId').val();
	$('.tab-content').load(url);
	              
}
//跳转多功能输入
function goFunctions(){ 
	var url=ctx+'/promoter/queryUserAppFunctionsInfo?id='+$('#userAppId').val();
	$('.tab-content').load(url);  
	
}
//跳转到扩展   
function goExtends(){
	var url=ctx+'/promoter/queryUserAppExtendsInfo?id='+$('#userAppId').val();
	$('.tab-content').load(url);          
}